Bug 781964 (CVE-2012-0052) - CVE-2012-0052 JON: Unapproved agents can connect using the name of an existing approved agent
Summary: CVE-2012-0052 JON: Unapproved agents can connect using the name of an existin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0052
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 781965 804887
TreeView+ depends on / blocked
 
Reported: 2012-01-16 07:53 UTC by David Jorm
Modified: 2019-09-29 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-20 17:34:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0089 normal SHIPPED_LIVE Important: JBoss Operations Network 2.4.2 update 2012-02-02 02:57:57 UTC
Red Hat Product Errata RHSA-2012:0406 normal SHIPPED_LIVE Important: JBoss Operations Network 3.0.1 update 2012-03-20 21:08:42 UTC

Description David Jorm 2012-01-16 07:53:31 UTC
If a JON agent is registered in a JON server's inventory with a given name, then any other agent can connect to the JON server and assume the identity of this registered agent simply by assuming its agent name. The JON agent key is not verified, allowing malicious JON agents to connect to the server.

Comment 3 errata-xmlrpc 2012-02-01 21:59:01 UTC
This issue has been addressed in following products:

  JBoss Operations Network 2.4.2

Via RHSA-2012:0089 https://rhn.redhat.com/errata/RHSA-2012-0089.html

Comment 4 errata-xmlrpc 2012-03-20 17:09:28 UTC
This issue has been addressed in following products:

  JBoss Operations Network 3.0.1

Via RHSA-2012:0406 https://rhn.redhat.com/errata/RHSA-2012-0406.html


Note You need to log in before you can comment on or make changes to this bug.